Package org.apache.synapse.experimental.mediators.seda

## Class SEDAQueuePolicy

- java.lang.Object
- - org.apache.synapse.experimental.mediators.seda.SEDAQueuePolicy

-     public class SEDAQueuePolicy
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `QUEUE_TYPE_LINKED_BLOCKING` |
    `static String` | `QUEUE_TYPE_PRIORITY_BLOCKING` |
    `static String` | `QUEUE_TYPE_SYNCHRONOUS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SEDAQueuePolicy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addProperties​(String name, String value)` |
    `Map<String,​String>` | `getProperties()` |
    `int` | `getQueueSize()` |
    `String` | `getQueueType()` |
    `int` | `getQueueWorkers()` |
    `void` | `setQueueSize​(int queueSize)` |
    `void` | `setQueueType​(String queueType)` |
    `void` | `setQueueWorkers​(int queueWorkers)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### QUEUE_TYPE_LINKED_BLOCKING

          public static final String QUEUE_TYPE_LINKED_BLOCKING

      See Also:
        Constant Field Values

    - #### QUEUE_TYPE_PRIORITY_BLOCKING

          public static final String QUEUE_TYPE_PRIORITY_BLOCKING

      See Also:
        Constant Field Values

    - #### QUEUE_TYPE_SYNCHRONOUS

          public static final String QUEUE_TYPE_SYNCHRONOUS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SEDAQueuePolicy

          public SEDAQueuePolicy()

  - ### Method Detail

    - #### getQueueSize

          public int getQueueSize()

    - #### setQueueSize

          public void setQueueSize​(int queueSize)

    - #### getQueueWorkers

          public int getQueueWorkers()

    - #### setQueueWorkers

          public void setQueueWorkers​(int queueWorkers)

    - #### getQueueType

          public String getQueueType()

    - #### setQueueType

          public void setQueueType​(String queueType)

    - #### getProperties

          public Map<String,​String> getProperties()

    - #### addProperties

          public void addProperties​(String name,
                                    String value)